package com.baidu.util.audiocore;

public class AdvertiseMentInfos {
    public String mediaUrl;
    public int mediaDuration; // ms

    public int adNums;
    public int[] adId; // songid
    public String[] adurl;
    public int[] adDuration; // ms

    public int anchorNums;
    public int[] anchorNumsOfAd;
    public int[] anchorPos; // Byte
    public int[] anchorTime; // ms

    public int noiseNums;
    public int[] noiseStartTime; // ms
    public int[] noiseEndTime; // ms
    public int[] noiseStartPos; // Byte
    public int[] noiseEndPos; // Byte

    private int findBypassIndexBefore(int llPos) {
        for (int i = noiseNums - 1; i >= 0; --i) {
            if (llPos >= noiseEndPos[i]) {
                return i;
            } else if ((llPos >= noiseStartPos[i]) && (llPos <= noiseEndPos[i])) {
                continue;
            }
        }

        return -1;
    }

    void normalAnchor() {

        for (int i = 0; i < anchorNums; ++i) {
            int nBypassIndex = findBypassIndexBefore(anchorPos[i]);
            if (nBypassIndex < 0) {
                continue;
            }

            for (int j = 0; j <= nBypassIndex; ++j) {
                anchorPos[i] -= (noiseEndPos[j] - noiseStartPos[j] + 1);
                anchorTime[i] -= (noiseEndTime[j] - noiseStartTime[j]);
            }
        }
    }

}
