package com.baidu.util.audiocore;


public class ACAudioTags {
    public String filePath; // in 需要获取信息的音频文件路径
    public String imagePath; // in 图片路径
    public String lrcPath;	// in 歌词路径
    public String title; // out 歌曲名
    public String album; // out 专辑名
    public String artist; // out 歌手
    public int bitrate; // out 比特率 128000
    public int duration; // out 时长 以秒为单位
    public String audioType; // out 格式 mp3 flac
    
    public void copyInfo(ACAudioTags newTag) {
    	this.album = newTag.album;
    	this.title = newTag.title;
    	this.artist = newTag.artist;
    	this.bitrate = newTag.bitrate;
    	this.duration = newTag.duration;
    	this.audioType = newTag.audioType;
    }
}
