package com.baidu.util.crypt;

public interface AudioEncryptListener {
    public static final int ACEncryptErrorStatusSuccess = 0;             // 成功
    public static final int ACEncryptErrorStatusErrorFileIO = 1;         // 加密文件读写错误
    public static final int ACEncryptErrorStatusErrorHeader = 2;         // 加密文件头错误
    public static final int ACEncryptErrorStatusError = 3;               // 加密错误
    public static final int ACEncryptErrorStatusEncryptedFile = 4;       // 待加密的文件已经是加密过的
    public static final int ACEncryptErrorStatusInterrupt = 5;           // 加密过程被中断

	// 加密进度通知 progress 0-100
    public void onEncryptProgress(int progress);  
    
    // 加密结果，成功和失败均返回
    // ACEncryptErrorStatusSuccess ..
    public void  onEncryptResult(int code);
}
