package com.baidu.util.voicerecognition;

public interface VoiceRecognitionListener {
    public static final int EVoiceRecognitionClientErrorRecordFormat = 100;             // 录音格式错误
    public static final int EVoiceRecognitionClientErrorRecordHW = 101;                 // 录音设备被占用
    public static final int EVoiceRecognitionClientErrorRecordUninit = 102;             // android系统返回录音未能初始化，比如录音权限被禁止会有该错误
    public static final int EVoiceRecognitionClientErrorStatusSuccess = 600;           // 成功
    public static final int EVoiceRecognitionClientErrorStatusFPError = 601;           // 本地特征生成错误
    public static final int EVoiceRecognitionClientErrorStatusTimeOut = 602;           // 超时
    public static final int EVoiceRecognitionClientErrorStatusStopByUser = 603;        // 中断
    public static final int EVoiceRecognitionClientErrorStatusUnknown = 604;           // 未知错误
    public static final int EVoiceRecognitionClientErrorStatusSoundLevelLow = 605;     // 录音声音太小
    public static final int EVoiceRecognitionClientErrorStatusServer = 606;            // 后端服务错误
    public static final int EVoiceRecognitionClientErrorStatusAPIServer = 607;         // API服务错误
    public static final int EVoiceRecognitionClientErrorStatusServerBusy = 608;        // 后端服务忙
    public static final int EVoiceRecognitionClientErrorStatusNotSure = 609;           // 有返回结果但是不确定是否正确
    public static final int EVoiceRecognitionClientErrorStatusNoResult = 610;          // 没有返回结果
    public static final int EVoiceRecognitionClientErrorStatusMoreTimeMatch = 611;     // 多次较低分数命中同一首歌曲，可以认为成功
    public static final int EVoiceRecognitionClientErrorStatusMaybeMatch = 612;        // 

    
    
    public void onVoiceRecognitionClientResult(int status, String result);  // status: EVoiceRecognitionClientErrorStatusSuccess, result: json string 

}
