package com.baidu.utility;

import android.util.Log;

public class LogHelper {
    private String tag = null;
    private static boolean enableLog = true;

    public LogHelper(String tagString) {
        this.tag = tagString;
    }

    public void enableLog(boolean enable) {
        enableLog = enable;
    }

    public void debugShow(String msgString) {
        if (enableLog) {
            Log.d(tag, msgString);
        }
    }

    public void infoShow(String msgString) {
        if (enableLog) {
            Log.v(tag, msgString);
        }
    }

    public void warnShow(String msgString) {
        if (enableLog) {
            Log.w(tag, msgString);
        }
    }

    public void errorShow(String msgString) {
        if (enableLog) {
            Log.e(tag, msgString);
        }
    }
}
